Skip to main content
POST
/
v3
/
stores
/
{store_id}
/
public-api-keys
Create a storefront public API key
curl --request POST \
  --url https://api.scalev.com/v3/stores/{store_id}/public-api-keys \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "active",
  "store_id": 123,
  "token": "<string>",
  "created_by": {},
  "inserted_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

store_id
integer
required

Legacy numeric business store ID.

Response

Storefront public API key

id
string<uuid>
required
status
enum<string>
required
Available options:
active,
revoked
store_id
integer
required
token
string | null

Present only while the key is active.

created_by
object
inserted_at
string<date-time>
updated_at
string<date-time>